RTEMS: bsps/arm/raspberrypi/console/console-config.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Macros | Functions | Variables
console-config.c File Reference
Board Support Packages » ARM » Raspberry Pi » USART Support

Console Configuration. More...

`#include <rtems/bspIo.h>`
`#include <rtems/console.h>`
`#include <rtems/sysinit.h>`
`#include <libchip/serial.h>`
`#include <libfdt.h>`
`#include <libchip/ns16550.h>`
`#include <bspopts.h>`
`#include <bsp/usart.h>`
`#include <bsp/raspberrypi.h>`
`#include <bsp/fbcons.h>`
`#include <bsp.h>`
`#include <bsp/arm-pl011.h>`
`#include <bsp/console-termios.h>`
`#include <bsp/fdt.h>`
`#include <bsp/fatal.h>`
`#include <bsp/gpio.h>`
`#include <bsp/rpi-gpio.h>`

## Macros
#define | PL011 "/dev/ttyAMA0"
#define | MINIUART "/dev/ttyS0"
#define | FBCONS "/dev/fbcons"

## Functions
void | output_char_fb (char c)
rtems_status_code | console_initialize (rtems_device_major_number major, rtems_device_minor_number minor, void *arg)
| Console initialization entry point.
| RTEMS_SYSINIT_ITEM (uart_probe, RTEMS_SYSINIT_BSP_START, RTEMS_SYSINIT_ORDER_LAST_BUT_5)

## Variables
arm_pl011_context | pl011_context
ns16550_context | mini_uart_context
rpi_fb_context | fb_context
BSP_output_char_function_type | BSP_output_char = output_char
BSP_polling_getchar_function_type | BSP_poll_char = NULL

## Detailed Description

Console Configuration.

## Macro Definition Documentation

## ◆ PL011

#define PL011 "/dev/ttyAMA0"

UART0 - PL011 UART1 - Mini UART

## Function Documentation

## ◆ console_initialize()

rtems_status_code console_initialize | ( | rtems_device_major_number | major,
|  | rtems_device_minor_number | minor,
|  | void * | arg
| ) |  |

Console initialization entry point.

This method initializes the console device driver.

Parameters

  [in] | major | is the device driver major number.
  [in] | minor | is the device driver minor number.
  [in] | arg | is the parameters to this call.

Return values

  RTEMS_SUCCESSFUL | The device driver is successfully initialized.

## Variable Documentation

## ◆ BSP_output_char

BSP_output_char_function_type BSP_output_char = output_char

This variable points to the BSP provided method to output a character for the purposes of debug output.

It must output only the specific character. It must not perform character translations, e.g. "\n" to "\r\n".

## ◆ BSP_poll_char

BSP_polling_getchar_function_type BSP_poll_char = NULL

This variable points to the BSP provided method to input a character for the purposes of debug input.